package p02_liczby;

public class IntPomiarCzasu {
	static final int LIMIT = 1_000_000_000;
	
	public static void main(String[] args) {
		// obliczamy sumę liczb z dużego zakresu, od 1 do miliard
		// liczby to będzie int / Integer , a sumę liczymy jako long / Long
		
		System.out.println("Startujemy...");
		long poczatek = System.currentTimeMillis(); // nanoTime - w nanosekundach
		long suma = 0;
		for(int i = 1; i <= LIMIT; i++) {
			suma += i;
		}
		long koniec = System.currentTimeMillis();
		System.out.println("Suma: " + suma);
		System.out.println("Czas: " + (koniec-poczatek));
	}

}
